# scan - Single-Case Data Analyses for Single and Multiple Baseline Designs

<!-- badges: start -->
[![CRAN_Status_Badge](https://www.r-pkg.org/badges/version/scan?color=blue)](https://CRAN.R-project.org/package=scan)
[![Downloads](https://cranlogs.r-pkg.org/badges/grand-total/scan?color=orange)](https://CRAN.R-project.org/package=scan)
<!-- badges: end -->

This package provides a collection of procedures for analysing, visualising, 
and managing single-case data. These include piecewise linear regression 
models, multilevel models, overlap indices (PND, PEM, PAND, PET, tauU, 
baseline corrected tau), and randomization tests. Data preparation functions 
support outlier detection, handling missing values, scaling, truncating, 
rank transformation, and smoothing. An exporting function helps to generate 
html and latex tables in a publication friendly style.  

More details can be found at <https://jazznbass.github.io/scan-Book/>.




